Debian Bug report logs - #379250
ITA: fbi -- Linux frame buffer image viewer

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christoph Berg <myon@debian.org>

Date: Sat, 22 Jul 2006 14:03:19 UTC

Owned by: Moritz Muehlenhoff <jmm@inutil.org>

Severity: normal

Fixed in version fbi/2.05-1

Done: Moritz Muehlenhoff <jmm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerd Knorr <kraxel@debian.org>, jmm@debian.org, <wnpp@debian.org>:
Bug#379250; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: submit@bugs.debian.org
Subject: O: fbi -- Linux frame buffer image viewer
Date: Sat, 22 Jul 2006 15:55:04 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of fbi, Gerd Knorr <kraxel@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package now.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: fbi
Binary: fbi, exiftran
Version: 2.01-1.4
Priority: optional
Section: graphics
Maintainer: Gerd Knorr <kraxel@debian.org>
Build-Depends: debhelper (>=4), libjpeg-dev, libtiff-dev, libpng3-dev | libpng-dev, libungif4-dev, libx11-dev, libxext-dev, libxpm-dev, libxt-dev, x-dev, xutils, libpcd-dev, libexif-dev, libcurl-dev, libfreetype6-dev, libfontconfig1-dev (>= 2.2.3-4)
Architecture: any
Standards-Version: 3.6.2
Format: 1.0
Directory: pool/main/f/fbi
Files:
 ffd540c3a82b4bbdebd3375ef77560dc 767 fbi_2.01-1.4.dsc
 7bf21eae612fd457155533a83ab075c2 205822 fbi_2.01.orig.tar.gz
 1c9fda9488dfdbdfd4191380899901f3 4724 fbi_2.01-1.4.diff.gz

Package: fbi
Priority: optional
Section: graphics
Installed-Size: 176
Maintainer: Gerd Knorr <kraxel@debian.org>
Architecture: i386
Version: 2.01-1.4
Depends: libc6 (>= 2.3.5-1), libcurl3 (>= 7.15.0-1), libexif12, libfontconfig1 (>= 2.3.0), libfreetype6 (>= 2.1.5-1), libjpeg62, libpcd2 (>= 1.0.1), libpng12-0 (>= 1.2.8rel), libtiff4, libungif4g (>= 4.1.3), zlib1g (>= 1:1.2.1)
Suggests: imagemagick
Filename: pool/main/f/fbi/fbi_2.01-1.4_i386.deb
Size: 53380
MD5sum: c4a577c92c072ec3b74bb0423efbab2b
SHA1: 4a33cf943a6ed9da227fdd4e5aa30c107d35bded
SHA256: e09013fa342b75896bde28b52a0b95b548bc7e0eafe05464fe9ddb9fa84270dd
Description: Linux frame buffer image viewer
 This is an image viewer for Linux frame buffer devices.  It has
 built-in support for a number of common image file formats.  For
 unknown files, it tries to use convert from the ImageMagick package
 as an external converter.
Tag: interface::framebuffer, role::sw:utility, use::viewing, works-with::image:raster

Package: exiftran
Priority: optional
Section: graphics
Installed-Size: 84
Maintainer: Gerd Knorr <kraxel@debian.org>
Architecture: i386
Source: fbi
Version: 2.01-1.4
Depends: libc6 (>= 2.3.5-1), libexif12, libjpeg62
Filename: pool/main/f/fbi/exiftran_2.01-1.4_i386.deb
Size: 24002
MD5sum: 956e127019fbcc9b84fd098139dba5fd
SHA1: f9fafd9af0d230963fa5a60a5c67b0ae791c82d8
SHA256: e5c46e261c030409df5c89a230426915d3d1fbf2a4fecbe78bf2a9c5a09a9db9
Description: transform digital camera jpeg images
 exiftran is a command line utility to transform digital image jpeg
 images. It can do lossless rotations like jpegtran, but unlike
 jpegtran it cares about the EXIF data: It can rotate images
 automatically by checking the exif orientation tag, it updates the
 exif informaton if needed (image dimension, orientation), it also
 rotates the exif thumbnail. It can process multiple images at once.
Tag: hardware::camera, interface::commandline, role::sw:utility, use::converting, use::editing, works-with::image:raster


Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#379250; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #8 received at 379250@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: 379250@bugs.debian.org
Subject: I'll maintain it
Date: Sun, 23 Jul 2006 14:30:17 +0200
I'll maintain fbi.



Changed Bug title. Request was from Sam Hocevar (Debian packages) <sam+deb@zoy.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Moritz Muehlenhoff <jmm@inutil.org>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Moritz Muehlenhoff <jmm@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 379250-close@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: 379250-close@bugs.debian.org
Subject: Bug#379250: fixed in fbi 2.05-1
Date: Sun, 06 Aug 2006 10:02:12 -0700
Source: fbi
Source-Version: 2.05-1

We believe that the bug you reported is fixed in the latest version of
fbi, which is due to be installed in the Debian FTP archive:

exiftran_2.05-1_i386.deb
  to pool/main/f/fbi/exiftran_2.05-1_i386.deb
fbi_2.05-1.dsc
  to pool/main/f/fbi/fbi_2.05-1.dsc
fbi_2.05-1.tar.gz
  to pool/main/f/fbi/fbi_2.05-1.tar.gz
fbi_2.05-1_i386.deb
  to pool/main/f/fbi/fbi_2.05-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 379250@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Moritz Muehlenhoff <jmm@debian.org> (supplier of updated fbi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 23 Jul 2006 14:31:21 +0200
Source: fbi
Binary: fbi exiftran
Architecture: source i386
Version: 2.05-1
Distribution: unstable
Urgency: low
Maintainer: Moritz Muehlenhoff <jmm@debian.org>
Changed-By: Moritz Muehlenhoff <jmm@debian.org>
Description: 
 exiftran   - transform digital camera jpeg images
 fbi        - Linux frame buffer image viewer
Closes: 262805 266811 279566 282890 311226 320057 320058 322236 346726 356897 361370 361383 361388 367344 369049 379047 379250
Changes: 
 fbi (2.05-1) unstable; urgency=low
 .
   * New maintainer, thanks Gerd. (Closes: #379250)
   * New upstream release 2.05. (Closes: #367344)
     - Includes fix for insecure temp file usage in fbgs
       [CVE-2006-1695, DSA-1068] (Closes: #361370)
     - Includes fix for correct Postscript sanitising
       [CVE-2006-3119, DSA-1124]
     - Includes spelling fixes by A. Costa (Closes: #311226)
     - Includes support for color display in fbgs with the new
       -c option, based on patch by Jan Braun (Closes: #279566)
     - Fix pointer arithmetic (Closes: #369049)
     - Document zooming with "s" and fix rounding of zoom factor,
       patch by Jan Braun (Closes: #361383)
     - fbi now maintains zoom levels between multiple images
       (Closes: #361388)
   * Acknowledge NMUs. (Closes: #262805, #282890, #346726, #322236)
   * Add dependency on gs-gpl for fbgs. (Closes: #356897)
   * Correct build dependency on libcurl. (Closes: #320057, #320058)
   * Gerd has changed his name with his marriage, update copyright
     file.
   * Update upstream download location (Closes: #379047)
   * Bump debhelper level to 5
   * Mention fbgs in package description (Closes: #266811)
Files: 
 9bdc4883a5bb765972bbb0b171bb01cb 723 graphics optional fbi_2.05-1.dsc
 30b44920c314d3498b20199fbe057bac 212377 graphics optional fbi_2.05-1.tar.gz
 d0eda4b22ab8b5b71e50184a9e238566 54106 graphics optional fbi_2.05-1_i386.deb
 f68e65aad16d5b3323cf0da984e4be75 24414 graphics optional exiftran_2.05-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE1hzmXm3vHE4uyloRAssMAKCfDPlUatUWk2e+UZmjxmureUrEdACg6uqG
vQwYOtZwPNj6u6BCWEDfe8M=
=doZO
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 07:03:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:47:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.